### Method

# FwupdPlugin Hwids get_replace_keys

since: 0.9.3

#### Declaration [src]

    const gchar*
    fu_hwids_get_replace_keys (
      FuHwids* self,
      const gchar* key
    )

#### Description [src]

Gets the defined values for a well known value.

Available since: 0.9.3

#### Parameters

`key`

  Type: `const gchar*`

  A CHID key, e.g. `HardwareID-03`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The replacement value, e.g. `Manufacturer&ProductName`, or `NULL` for error.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.